<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'../config.php';


header('Content-type: image/jpeg');

$W = intval($_GET['W']);
$H = intval($_GET['H']);
$file = intval($_GET['file']);

$file_info = mysql_fetch_row(mysql_query('SELECT TRIM(`path`) FROM `fo_files` WHERE `id` = '.$file.' LIMIT 1'));
$pic = urldecode(htmlspecialchars($file_info[0]));

if(substr($pic,0,1) != '.'){

if(preg_match('/\.gif$/i', $pic)){$old = imageCreateFromGif($pic);}
elseif(preg_match('/\.jpg$|\.jpeg$|\.jpe$/i', $pic)){$old = imageCreateFromJpeg($pic);}
elseif(preg_match('/\.png$/i', $pic)){$old = imageCreateFromPNG($pic);}
{
$wn = imageSX($old);
$hn = imageSY($old);

if(!$W and !$H)
{
$size = explode('*',$set['prev_size']);
$W = round(intval($size[0])); // ширина картинки
$H = round(intval($size[1])); // высота картинки
}
$new = imageCreateTrueColor($W, $H);
imagecopyResampled($new, $old, 0, 0, 0, 0, $W, $H, $wn, $hn);

if($set['marker']){
// фон
$bg = imagecolorallocate($new, 255, 255, 255);
// цвет
$color = imagecolorallocate($new, 255, 0, 0);

imagestring($new, 2, ($W/2)-(strlen($set['text_marker'])*3), 1, $set['text_marker'], $color);
}

imageJpeg($new,null,100);

}
}
?>